Payment corridor requirements
curl --request GET \
--url https://api.cadanapay.com/v1/payment-requirements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/payment-requirements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/payment-requirements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$schema": "http://json-schema.org/draft-07/schema#",
"$id": "https://api.cadana.com/schemas/paymentDetails.bank.CO.json",
"title": "Colombia - bank payment details",
"type": "object",
"additionalProperties": false,
"required": [
"accountName",
"accountNumber",
"bankCode",
"bankName",
"accountType",
"beneficiaryId",
"address",
"email"
],
"properties": {
"accountName": {
"type": "string",
"maxLength": 60
},
"accountNumber": {
"type": "string",
"pattern": "^[0-9]{9,16}$",
"description": "9-16-digit Colombian account number"
},
"bankCode": {
"type": "string",
"pattern": "^[A-Za-z0-9]{1,11}$",
"description": "1-11 alphanumeric bank code"
},
"accountType": {
"type": "string",
"enum": [
"Checking",
"Saving"
]
},
"email": {
"type": "string",
"format": "email",
"maxLength": 100
},
"beneficiaryId": {
"type": "object",
"additionalProperties": false,
"required": [
"type",
"value"
],
"properties": {
"type": {
"type": "string",
"enum": [
"NIT",
"CC",
"CE",
"TI",
"PASS"
]
},
"value": {
"type": "string"
}
},
"allOf": [
{
"if": {
"properties": {
"type": {
"const": "NIT"
}
}
},
"then": {
"properties": {
"value": {
"pattern": "^\\d{9,11}$"
}
}
}
},
{
"if": {
"properties": {
"type": {
"const": "CC"
}
}
},
"then": {
"properties": {
"value": {
"pattern": "^\\d{6,10}$"
}
}
}
}
]
},
"address": {
"type": "object",
"additionalProperties": false,
"required": [
"line1",
"city",
"countryCode"
],
"properties": {
"line1": {
"type": "string",
"maxLength": 70
},
"city": {
"type": "string",
"maxLength": 50
},
"countryCode": {
"const": "CO"
}
}
}
}
}{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Resources
Payment corridor requirements
Returns a Draft-07 JSON-Schema fragment that specifies every field, enum, regex and conditional rule for the requested countryCode + currency + paymentMethod.
GET
/
v1
/
payment-requirements
Payment corridor requirements
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Query Parameters
Example:
"CO"
Example:
"bank"
Example:
"COP"
Response
Draft-07 JSON-Schema fragment
This is a Draft-07 JSON Schema fragment. For the full meta-schema, see https://json-schema.org/draft-07/schema#. Rely on the provided example for the expected structure.
⌘I